PHP Manual
Prev |  | Next

# checkdate

(PHP 3, PHP 4, PHP 5)

checkdate -- Validate a Gregorian date

## Description

bool checkdate ( int month, int day, int year )

Checks the validity of the date formed by the arguments. A date is considered valid if each parameter is properly defined.

## Parameters

month

  The month is between 1 and 12 inclusive.

day

  The day is within the allowed number of days for the given month. Leap years are taken into consideration.

year

  The year is between 1 and 32767 inclusive.

## Return Values

Returns `TRUE` if the date given is valid; otherwise returns `FALSE`.

## Examples

Example 1. checkdate() example

`<?php var_dump(checkdate(12, 31, 2000)); var_dump(checkdate(2, 29, 2001)); ?>`

The above example will output:

    bool(true)
    bool(false)

## See Also

mktime()
strtotime()

Prev | Home | Next
Date and Time Functions | Up | date_default_timezone_get